Subject: Re: [ietf-smtp] Endless debate on IP literals

From: Alessandro Vesely <[email-masked]>
Date: Thu, 2 Jan 2020 11:51:30 +0100

On Wed 01/Jan/2020 02:37:00 +0100 Keith Moore wrote:
> 
> I am starting to think that it's important to distinguish between
> 
> (a) SMTP the protocol, and
> 
> (b) The "globally-relevant Internet public email" service (GRIPE?  [*]) [...]

Yes

> (I have some other questions regarding IoT use of mail submission services,
> e.g. whether RFC8314 is suitable as-is for use on isolated IP networks, or
> whether IoT devices should be required to use port 587 when submitting mail so
> that the servers will know they have to treat such traffic differently than
> message relaying.    So there might need to be a separate profile for mail
> submission on networks that don't have DNS or connectivity to the public IP
> network.)

Rfc6409 is clear when it says that a server MAY implement submission on port
25.  That entails that it can tell submitting clients from relaying ones.

I found no counter indication about MSA-proxies which submit to another MSA.

> [*] Not a serious proposal for a name; I just wanted a shorthand notation for
> it and that's what I came up with in a couple of minutes.   Suggestions welcome.

s/SMTP/submission (possibly on port 25)/

s/GRIPE/SMTP/

Best
Ale
--